Name:          json-schema-validator
Version:       2.2.6
Release:       1%{?dist}
Summary:       A JSON Schema validation implementation in pure Java
License:       ASL 2.0 and LGPLv3
URL:           https://github.com/fge/json-schema-validator
Source0:       https://github.com/fge/json-schema-validator/archive/%{version}.tar.gz
Source1:       http://central.maven.org/maven2/com/github/fge/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: maven-local
BuildRequires: mvn(com.github.fge:json-schema-core)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(com.googlecode.libphonenumber:libphonenumber)
BuildRequires: mvn(javax.mail:mailapi)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(net.sf.jopt-simple:jopt-simple)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
This is an implementation with complete validation support for the
latest JSON Schema draft (v4, including hyperschema syntax support) and
the previous draft (v3 -- no hyperschema support though). 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find -name "*.class" -delete
find -name "*.jar" -print -delete

cp -p %{SOURCE1} pom.xml
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>com.github.fge.json-schema-validator</Bundle-SymbolicName>
    <Bundle-Name>json-schema-validator</Bundle-Name>
    <Bundle-Version>${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%mvn_file :%{name} %{name}

%build
# No test dep: org.easytesting:fest-assert
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc CONTRIBUTORS.md README.md RELEASE-NOTES.md
%license ASL-2.0.txt LGPL-3.0.txt LICENSE

%files javadoc -f .mfiles-javadoc
%license ASL-2.0.txt LGPL-3.0.txt LICENSE

%changelog
* Sun Mar 08 2015 gil cattaneo <puntogil@libero.it> 2.2.6-1
- initial rpm
